Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render
Interface XMLHandler

All Known Implementing Classes:
  AbstractGenericSVGHandler, AFPSVGHandler, Java2DSVGHandler, PCLSVGHandler, PDFSVGHandler, PSSVGHandler, SVGSVGHandler, XMLXMLHandler

    public interface XMLHandler

This interface is implemented by classes that can handle a certain type of foreign objects.

Field Summary
`static java.lang.String` | `HANDLE_ALL` Used to indicate that all MIME types or XML namespaces are handled.

Method Summary
`java.lang.String` | `getNamespace()`
`void` | `handleXML(RendererContext context, org.w3c.dom.Document doc, java.lang.String ns)` Handle an external xml document inside a Foreign Object Area.
`boolean` | `supportsRenderer(Renderer renderer)` Checks if this XMLHandler supports handling an XML namespace for a particular renderer.

Field Detail

### HANDLE_ALL

    static final java.lang.String HANDLE_ALL

  Used to indicate that all MIME types or XML namespaces are handled.

  See Also:
    Constant Field Values

Method Detail

### handleXML

    void handleXML(RendererContext context,
                   org.w3c.dom.Document doc,
                   java.lang.String ns)
                   throws java.lang.Exception

  Handle an external xml document inside a Foreign Object Area.

  This may throw an exception if for some reason it cannot be handled. The caller is expected to deal with this exception.

  The implementation may convert the XML document internally to another XML dialect (SVG, for example) and call renderXML() on the AbstractRenderer again (which can be retrieved through the RendererContext).

  Parameters:
    `context` - The RendererContext (contains the user agent)
    `doc` - A DOM containing the foreign object to be processed
    `ns` - The Namespace of the foreign object
  Throws:
    `java.lang.Exception` - If an error occurs during processing.

### supportsRenderer

    boolean supportsRenderer(Renderer renderer)

  Checks if this XMLHandler supports handling an XML namespace for a particular renderer.

  Parameters:
    `renderer` - the renderer for which to check.
  Returns:
    true if this XML handler supports a particular renderer

### getNamespace

    java.lang.String getNamespace()

  Returns:
    the XML namespace for the XML dialect this XMLHandler supports, null if all XML content is handled by this instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.